org.firebirdsql.logging

## Interface Logger

    public interface Logger

Logger is a facade to hide the logging implementation used from the rest of Jaybird.

Author:
  David Jencks, Blas Rodriguez Somoza, Mark Rotteveel

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`void` `debug(java.lang.String message)`
`void` `debug(java.lang.String message, java.lang.Throwable t)`
`default void` `debugf(java.lang.String formatMessage, java.lang.Object... params)`
`default void` `debugf(java.lang.String formatMessage, java.lang.Object p1)`
`default void` `debugf(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2)`
`default void` `debugf(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3)`
`default void` `debugfe(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3, java.lang.Throwable t)`
`default void` `debugfe(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Throwable t)`
`default void` `debugfe(java.lang.String message, java.lang.Object p1, java.lang.Throwable t)`
`void` `error(java.lang.String message)`
`void` `error(java.lang.String message, java.lang.Throwable t)`
`default void` `errorDebug(java.lang.String message, java.lang.Throwable t)` Logs the message on error with the throwable `toString()` and a note that the stacktrace is on debug.
`default void` `errorf(java.lang.String formatMessage, java.lang.Object... params)`
`default void` `errorf(java.lang.String formatMessage, java.lang.Object p1)`
`default void` `errorf(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2)`
`default void` `errorf(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3)`
`default void` `errorfe(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3, java.lang.Throwable t)`
`default void` `errorfe(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Throwable t)`
`default void` `errorfe(java.lang.String message, java.lang.Object p1, java.lang.Throwable t)`
`void` `fatal(java.lang.String message)`
`void` `fatal(java.lang.String message, java.lang.Throwable t)`
`default void` `fatalf(java.lang.String formatMessage, java.lang.Object... params)`
`default void` `fatalf(java.lang.String formatMessage, java.lang.Object p1)`
`default void` `fatalf(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2)`
`default void` `fatalf(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3)`
`default void` `fatalfe(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3, java.lang.Throwable t)`
`default void` `fatalfe(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Throwable t)`
`default void` `fatalfe(java.lang.String message, java.lang.Object p1, java.lang.Throwable t)`
`void` `info(java.lang.String message)`
`void` `info(java.lang.String message, java.lang.Throwable t)`
`default void` `infof(java.lang.String formatMessage, java.lang.Object... params)`
`default void` `infof(java.lang.String formatMessage, java.lang.Object p1)`
`default void` `infof(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2)`
`default void` `infof(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3)`
`default void` `infofe(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3, java.lang.Throwable t)`
`default void` `infofe(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Throwable t)`
`default void` `infofe(java.lang.String message, java.lang.Object p1, java.lang.Throwable t)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isFatalEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isTraceEnabled()`
`boolean` `isWarnEnabled()`
`void` `trace(java.lang.String message)`
`void` `trace(java.lang.String message, java.lang.Throwable t)`
`default void` `tracef(java.lang.String formatMessage, java.lang.Object... params)`
`default void` `tracef(java.lang.String formatMessage, java.lang.Object p1)`
`default void` `tracef(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2)`
`default void` `tracef(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3)`
`default void` `tracefe(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3, java.lang.Throwable t)`
`default void` `tracefe(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Throwable t)`
`default void` `tracefe(java.lang.String message, java.lang.Object p1, java.lang.Throwable t)`
`void` `warn(java.lang.String message)`
`void` `warn(java.lang.String message, java.lang.Throwable t)`
`default void` `warnDebug(java.lang.String message, java.lang.Throwable t)` Logs the message on warn with the throwable `toString()` and a note that the stacktrace is on debug.
`default void` `warnf(java.lang.String formatMessage, java.lang.Object... params)`
`default void` `warnf(java.lang.String formatMessage, java.lang.Object p1)`
`default void` `warnf(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2)`
`default void` `warnf(java.lang.String formatMessage, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3)`
`default void` `warnfe(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Object p3, java.lang.Throwable t)`
`default void` `warnfe(java.lang.String message, java.lang.Object p1, java.lang.Object p2, java.lang.Throwable t)`
`default void` `warnfe(java.lang.String message, java.lang.Object p1, java.lang.Throwable t)`

### Method Detail

#### isDebugEnabled

    boolean isDebugEnabled()

#### debug

    void debug(java.lang.String message)

#### debugf

    default void debugf(java.lang.String formatMessage,
                        java.lang.Object p1)

#### debugf

    default void debugf(java.lang.String formatMessage,
                        java.lang.Object p1,
                        java.lang.Object p2)

#### debugf

    default void debugf(java.lang.String formatMessage,
                        java.lang.Object p1,
                        java.lang.Object p2,
                        java.lang.Object p3)

#### debugf

    default void debugf(java.lang.String formatMessage,
                        java.lang.Object... params)

#### debug

    void debug(java.lang.String message,
               java.lang.Throwable t)

#### debugfe

    default void debugfe(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Throwable t)

#### debugfe

    default void debugfe(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Object p2,
                         java.lang.Throwable t)

#### debugfe

    default void debugfe(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Object p2,
                         java.lang.Object p3,
                         java.lang.Throwable t)

#### isTraceEnabled

    boolean isTraceEnabled()

#### trace

    void trace(java.lang.String message)

#### tracef

    default void tracef(java.lang.String formatMessage,
                        java.lang.Object p1)

#### tracef

    default void tracef(java.lang.String formatMessage,
                        java.lang.Object p1,
                        java.lang.Object p2)

#### tracef

    default void tracef(java.lang.String formatMessage,
                        java.lang.Object p1,
                        java.lang.Object p2,
                        java.lang.Object p3)

#### tracef

    default void tracef(java.lang.String formatMessage,
                        java.lang.Object... params)

#### trace

    void trace(java.lang.String message,
               java.lang.Throwable t)

#### tracefe

    default void tracefe(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Throwable t)

#### tracefe

    default void tracefe(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Object p2,
                         java.lang.Throwable t)

#### tracefe

    default void tracefe(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Object p2,
                         java.lang.Object p3,
                         java.lang.Throwable t)

#### isInfoEnabled

    boolean isInfoEnabled()

#### info

    void info(java.lang.String message)

#### infof

    default void infof(java.lang.String formatMessage,
                       java.lang.Object p1)

#### infof

    default void infof(java.lang.String formatMessage,
                       java.lang.Object p1,
                       java.lang.Object p2)

#### infof

    default void infof(java.lang.String formatMessage,
                       java.lang.Object p1,
                       java.lang.Object p2,
                       java.lang.Object p3)

#### infof

    default void infof(java.lang.String formatMessage,
                       java.lang.Object... params)

#### info

    void info(java.lang.String message,
              java.lang.Throwable t)

#### infofe

    default void infofe(java.lang.String message,
                        java.lang.Object p1,
                        java.lang.Throwable t)

#### infofe

    default void infofe(java.lang.String message,
                        java.lang.Object p1,
                        java.lang.Object p2,
                        java.lang.Throwable t)

#### infofe

    default void infofe(java.lang.String message,
                        java.lang.Object p1,
                        java.lang.Object p2,
                        java.lang.Object p3,
                        java.lang.Throwable t)

#### isWarnEnabled

    boolean isWarnEnabled()

#### warn

    void warn(java.lang.String message)

#### warnf

    default void warnf(java.lang.String formatMessage,
                       java.lang.Object p1)

#### warnf

    default void warnf(java.lang.String formatMessage,
                       java.lang.Object p1,
                       java.lang.Object p2)

#### warnf

    default void warnf(java.lang.String formatMessage,
                       java.lang.Object p1,
                       java.lang.Object p2,
                       java.lang.Object p3)

#### warnf

    default void warnf(java.lang.String formatMessage,
                       java.lang.Object... params)

#### warn

    void warn(java.lang.String message,
              java.lang.Throwable t)

#### warnfe

    default void warnfe(java.lang.String message,
                        java.lang.Object p1,
                        java.lang.Throwable t)

#### warnfe

    default void warnfe(java.lang.String message,
                        java.lang.Object p1,
                        java.lang.Object p2,
                        java.lang.Throwable t)

#### warnfe

    default void warnfe(java.lang.String message,
                        java.lang.Object p1,
                        java.lang.Object p2,
                        java.lang.Object p3,
                        java.lang.Throwable t)

#### isErrorEnabled

    boolean isErrorEnabled()

#### error

    void error(java.lang.String message)

#### errorf

    default void errorf(java.lang.String formatMessage,
                        java.lang.Object p1)

#### errorf

    default void errorf(java.lang.String formatMessage,
                        java.lang.Object p1,
                        java.lang.Object p2)

#### errorf

    default void errorf(java.lang.String formatMessage,
                        java.lang.Object p1,
                        java.lang.Object p2,
                        java.lang.Object p3)

#### errorf

    default void errorf(java.lang.String formatMessage,
                        java.lang.Object... params)

#### error

    void error(java.lang.String message,
               java.lang.Throwable t)

#### errorfe

    default void errorfe(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Throwable t)

#### errorfe

    default void errorfe(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Object p2,
                         java.lang.Throwable t)

#### errorfe

    default void errorfe(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Object p2,
                         java.lang.Object p3,
                         java.lang.Throwable t)

#### isFatalEnabled

    boolean isFatalEnabled()

#### fatal

    void fatal(java.lang.String message)

#### fatalf

    default void fatalf(java.lang.String formatMessage,
                        java.lang.Object p1)

#### fatalf

    default void fatalf(java.lang.String formatMessage,
                        java.lang.Object p1,
                        java.lang.Object p2)

#### fatalf

    default void fatalf(java.lang.String formatMessage,
                        java.lang.Object p1,
                        java.lang.Object p2,
                        java.lang.Object p3)

#### fatalf

    default void fatalf(java.lang.String formatMessage,
                        java.lang.Object... params)

#### fatal

    void fatal(java.lang.String message,
               java.lang.Throwable t)

#### fatalfe

    default void fatalfe(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Throwable t)

#### fatalfe

    default void fatalfe(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Object p2,
                         java.lang.Throwable t)

#### fatalfe

    default void fatalfe(java.lang.String message,
                         java.lang.Object p1,
                         java.lang.Object p2,
                         java.lang.Object p3,
                         java.lang.Throwable t)

#### warnDebug

    default void warnDebug(java.lang.String message,
                           java.lang.Throwable t)

Logs the message on warn with the throwable `toString()` and a note that the stacktrace is on debug. The `message` and the stacktrace of `t` are also logged on debug.

Parameters:
  `message` - Message to log
  `t` - Throwable to log (`toString()` on warn and full stacktrace on debug)

#### errorDebug

    default void errorDebug(java.lang.String message,
                            java.lang.Throwable t)

Logs the message on error with the throwable `toString()` and a note that the stacktrace is on debug. The `message` and the stacktrace of `t` are also logged on debug.

Parameters:
  `message` - Message to log
  `t` - Throwable to log (`toString()` on error and full stacktrace on debug)